DROP PROCEDURE OP_CARD_MONTUpdProc
GO
CREATE PROCEDURE OP_CARD_MONTUpdProc
(
    @SITEID        UD_IDSITE,
    @CARDID        char(2),
    @DATEPOS       UD_FECHA,
    @DATEPROCE     UD_FECHA,
    @CURYID        UD_CURYID,
    @TOTALCARD     UD_MONTO
 
)
AS
BEGIN
    BEGIN TRAN

    UPDATE OP_CARD_MONT	
    SET	CURYID=@CURYID,
	TOTALCARD=@TOTALCARD
    WHERE SITEID=@SITEID AND CARDID=@CARDID AND DATEPOS=@DATEPOS AND DATEPROCE=@DATEPROCE

    IF (@@error!=0)
    BEGIN
        RAISERROR  20000 'Error Actualizando en OP_CARD_MONT '
        ROLLBACK TRAN
        RETURN(1)
    
    END

    COMMIT TRAN

END
